FreeBSD : PostgreSQL -- minor security problems. (fc38cd83-00b3-11e5-8ebd-0026551a22dc)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

PostgreSQL project reports :

This update fixes three security vulnerabilities reported in
PostgreSQL over the past few months. Nether of these issues is seen as
particularly urgent. However, users should examine them in case their
installations are vulnerable:.

- CVE-2015-3165 Double 'free' after authentication timeout.

- CVE-2015-3166 Unanticipated errors from the standard library.

- CVE-2015-3167 pgcrypto has multiple error messages for decryption
with an incorrect key.

See also :

http://www.nessus.org/u?b5bed943

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 83799 ()

Bugtraq ID:

CVE ID: CVE-2015-3165
CVE-2015-3166
CVE-2015-3167

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now